### File

`packages/components/eui-date-range-selector/eui-time-range-picker/eui-time-range-picker.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-time-range-picker`
imports | `FormsModule` `ReactiveFormsModule` `EUI_TIMEPICKER`
templateUrl | `./eui-time-range-picker.component.html`
styleUrl | `./eui-time-range-picker.scss`

### Index

###### Properties
e2eAttr endDateLabel endHours endMins endSecs endTimeFormControl hasSeconds hours mins secs startDateLabel startTimeFormControl stepHours stepMinutes stepSeconds
###### HostBindings
attr.data-e2e class
###### Accessors
class

### Constructor

`constructor()`

### HostBindings

attr.data-e2e
Type : `string`
Default value : `'eui-time-range-picker'`

class
Type : `string`

### Properties

e2eAttr
Type : `string`
Default value : `'eui-time-range-picker'`
Decorators : `@HostBinding('attr.data-e2e')`

endDateLabel
Type : `string`

endHours
Type : `number`

endMins
Type : `number`

endSecs
Type : `number`

endTimeFormControl
Default value : `new FormControl()`

hasSeconds
Type : `boolean`

hours
Type : `number`

mins
Type : `number`

secs
Type : `number`

startDateLabel
Type : `string`

startTimeFormControl
Default value : `new FormControl()`

stepHours
Type : `number`

stepMinutes
Type : `number`

stepSeconds
Type : `number`

### Accessors

class
get `class()`

# results matching ""

# No results matching ""